## ros-jazzy-pid-controller 4.15.0

=== debian/changelog ===
ros-jazzy-pid-controller (4.15.0-1bookworm) bookworm; urgency=high

  * Adapt test to new way of exporting reference interfaces (Related to #1240 <https://github.com/ros-controls/ros2_controllers/issues/1240> in ros2_control) (#1103 <https://github.com/ros-controls/ros2_controllers/issues/1103>)
  * Contributors: Manuel Muth

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Oct 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.14.0-1bookworm) bookworm; urgency=high

  * [PID Controller] Export state interfaces for easier chaining with other controllers (#1214 <https://github.com/ros-controls/ros2_controllers/issues/1214>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.13.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.12.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Aug 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.12.0-1bookworm) bookworm; urgency=high

  * Add missing includes (#1226 <https://github.com/ros-controls/ros2_controllers/issues/1226>)
  * Change the subscription timeout in the tests to 5ms (#1219 <https://github.com/ros-controls/ros2_controllers/issues/1219>)
  * Unused header cleanup (#1199 <https://github.com/ros-controls/ros2_controllers/issues/1199>)
  * Fix WaitSet issue in tests  (#1206 <https://github.com/ros-controls/ros2_controllers/issues/1206>)
  * Fix parallel gripper controller CI (#1202 <https://github.com/ros-controls/ros2_controllers/issues/1202>)
  * Contributors: Christoph Fröhlich, Henry Moore, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.11.0-1bookworm) bookworm; urgency=high

  * added changes corresponding to the logger and clock propagation in ResourceManager (#1184 <https://github.com/ros-controls/ros2_controllers/issues/1184>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jul 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.10.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 30 Jun 2024 16:00:00 -0000

ros-jazzy-pid-controller (4.9.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 04 Jun 2024 16:00:00 -0000
